/*
 * Image codec. Author: Svjatoslav Agejenko, svjatoslav@svjatoslav.eu
 * This project is released under Creative Commons Zero (CC0) license.
 */
package eu.svjatoslav.imagesqueeze.codec;

class ColorStats {

    int ySum;
    int uSum;
    int vSum;

    int pixelCount;

    public ColorStats() {
        reset();
    }

    public int getAverageU() {
        return uSum / pixelCount;
    }

    public int getAverageV() {
        return vSum / pixelCount;
    }

    public int getAverageY() {
        return ySum / pixelCount;
    }

    public void reset() {
        ySum = 0;
        uSum = 0;
        vSum = 0;
        pixelCount = 0;
    }

}
