/*
 * Image codec. Author: Svjatoslav Agejenko, svjatoslav@svjatoslav.eu
 * This project is released under Creative Commons Zero (CC0) license.
 */
package eu.svjatoslav.imagesqueeze.sampleApplication;

import java.io.File;
import java.io.IOException;
import java.io.InputStream;

public class Main {

    public static void main(final String[] args) throws IOException {

        final String image = "colorful photo";
        final String sourceDirectory = "/eu/svjatoslav/imagesqueeze/sampleApplication/data/";

        // create visible frame
        // load image into frame
        final InputStream inputStream = Main.class
                .getResourceAsStream(sourceDirectory + image + ".png");

        final ImageFrame frame = new ImageFrame("Original image");
        frame.getImagePanel().loadImage(inputStream, false);
        frame.setVisible(true);

        // encode image into file
        frame.getImagePanel().saveImage(new File(image + ".ImgSqz"));

        // create second frame for decoded image
        final ImageFrame frame2 = new ImageFrame("Encoded -> Decoded");

        // decode image
        frame2.getImagePanel().loadImage(new File(image + ".ImgSqz"), true);
        frame2.setVisible(true);

    }

}
